Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLOptionsCollectionImpl

    java.lang.Object
      org.mozilla.jrex.dom.html2.JRexHTMLOptionsCollectionImpl

All Implemented Interfaces:
  HTMLOptionsCollection

public class JRexHTMLOptionsCollectionImpl
extends Object
implements HTMLOptionsCollection

A class implementing org.w3c.dom.html2.HTMLOptionsCollection interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLOptionsCollection`

Method Summary
`void` | `dispose()` Function to explicitly disconnect from native DOM Object
`boolean` | `equals(Object obj)`
`protected void` | `finalize()`
`int` | `getLength()` This attribute specifies the length or size of the list.
`int` | `hashCode()`
`Node` | `item(int index)` This method retrieves a node specified by ordinal index.
`Node` | `namedItem(String name)` This method retrieves a `Node` using a name.
`void` | `setLength(int length)` This attribute specifies the length or size of the list.

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLength

    public int getLength()

  Description copied from interface: `HTMLOptionsCollection`
  This attribute specifies the length or size of the list.

  Specified by:
    `getLength` in interface `HTMLOptionsCollection`

### setLength

    public void setLength(int length)
                   throws DOMException

  Description copied from interface: `HTMLOptionsCollection`
  This attribute specifies the length or size of the list.

  Specified by:
    `setLength` in interface `HTMLOptionsCollection`
  Throws:
    `DOMException` - NOT_SUPPORTED_ERR: if setting the length is not allowed by the implementation.

### item

    public Node item(int index)

  Description copied from interface: `HTMLOptionsCollection`
  This method retrieves a node specified by ordinal index. Nodes are numbered in tree order (depth-first traversal order).

  Specified by:
    `item` in interface `HTMLOptionsCollection`
  Parameters:
    `index` - The index of the node to be fetched. The index origin is 0.
  Returns:
    The `Node` at the corresponding position upon success. A value of `null` is returned if the index is out of range.

### namedItem

    public Node namedItem(String name)

  Description copied from interface: `HTMLOptionsCollection`
  This method retrieves a `Node` using a name. It first searches for a `Node` with a matching `id` attribute. If it doesn't find one, it then searches for a `Node` with a matching `name` attribute, but only on those elements that are allowed a name attribute. This method is case insensitive in HTML documents and case sensitive in XHTML documents.

  Specified by:
    `namedItem` in interface `HTMLOptionsCollection`
  Parameters:
    `name` - The name of the `Node` to be fetched.
  Returns:
    The `Node` with a `name` or `id` attribute whose value corresponds to the specified string. Upon failure (e.g., no node with this name exists), returns `null`.

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### finalize

    protected void finalize()
                     throws Throwable

  Throws:
    `Throwable`

### dispose

    public void dispose()

  Function to explicitly disconnect from native DOM Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.